# Uses of Class
org.jmol.viewer.FileManager

Packages that use FileManager
Package
Description
org.jmol.adapter.readers.spartan
org.jmol.api
org.jmol.io
org.jmol.viewer

## Uses of FileManager in org.jmol.adapter.readers.spartan

Fields in org.jmol.adapter.readers.spartan declared as FileManager
Modifier and Type
Field
Description
`FileManager`
SpartanUtil.`fm`
Methods in org.jmol.adapter.readers.spartan with parameters of type FileManager
Modifier and Type
Method
Description
`SpartanUtil`
SpartanUtil.`set(FileManager fm)`

## Uses of FileManager in org.jmol.api

Methods in org.jmol.api with parameters of type FileManager
Modifier and Type
Method
Description
`void`
JmolFilesReaderInterface.`set(FileManager fileManager, Viewer vwr, String[] fullPathNames, String[] namesAsGiven, String[] fileTypes, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)`

## Uses of FileManager in org.jmol.io

Methods in org.jmol.io with parameters of type FileManager
Modifier and Type
Method
Description
`byte[]`
JmolUtil.`getCachedPngjBytes(FileManager fm, String pathName)`
`void`
FilesReader.`set(FileManager fileManager, Viewer vwr, String[] name, String[] nameAsGiven, String[] types, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)`

## Uses of FileManager in org.jmol.viewer

Fields in org.jmol.viewer declared as FileManager
Modifier and Type
Field
Description
`FileManager`
Viewer.`fm`